package = "pocket_archive"
version = "scm-1"
source = {
    url = "git://git.knowledgetx.com/scossu/pocket_archive.git",
    branch = "master",
    tag = "HEAD",
}
description = {
    summary = "Archival management & portal generator for cultural heritage.",
    detailed = [[
    Stick it in your pocket and carry it around. Install it on a cloud server.
    Install it on a Raspberry Pi. Browse it offline. Browse it online.
    Duplicate it, share it, harvest it and aggregate it. Feed it non-GMO
    spreadsheets regularly and it will thrive.
    ]],
    homepage = "http://git.knowledgetx.com/scossu/pocket_archive",
    license =
        "https://git.knowledgetx.com/scossu/pocket_archive/src/master/LICENSE"
}
dependencies = {
   "lua >= 5.4, < 6",

   "csv",
   "lyaml",
   "penlight",
   "uuid",
}
build = {
    type = "builtin",
    modules = {
        ["pocket_archive"] = "src/core.lua",
        ["pocket_archive.model_parser"] = "src/model_parser.lua",
        ["pocket_archive.submission"] = "src/submission.lua",
        ["pocket_archive.monocypher"] = {
            "ext/monocypher/monocypher.c",
            "ext/monocypher/lua_monocypher.c",
        },
    },
    copy_directories = {"config", "doc",},
}
