local term = require "lsup.term"
local namespace = require "lsup.namespace"
local store = require "lsup.store"

config_path = assert(package.searchpath(
    "app", os.getenv("PA_CONFIG_DIR") or "./config"))

local M = {
    config = dofile(config_path .. "/app.lua"),
    nsm = namespace.new()
}

M.store_path = os.getenv("PA_BASE") or M.config.fs.dres_path
for pfx, nsm in pairs(M.config.namespace) do M.nsm:add(pfx, nsm) end
M.store = store.new(store.MDB, "file://" .. M.store_path)

return M
